Passer au contenu principal
POST
/
marketing
/
v3
/
marketing-events
/
attendance
/
{externalEventId}
/
{subscriberState}
/
create
Enregistrer des participants par ID de contact avec les ID externes de l'événement marketing
curl --request POST \
  --url https://api.hubapi.com/marketing/v3/marketing-events/attendance/{externalEventId}/{subscriberState}/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "interactionDateTime": 123,
      "properties": {},
      "vid": 123
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "vid": 123
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

externalEventId
string
requis
subscriberState
string
requis

Paramètres de requête

externalAccountId
string

Corps

application/json
inputs
object[]
requis

Liste des contacts HubSpot à inscrire à l'événement marketing

Réponse

successful operation

completedAt
string<date-time>
requis

Horodatage indiquant quand le traitement de la requête s'est terminé.

results
object[]
requis
startedAt
string<date-time>
requis

Horodatage indiquant quand le traitement de la requête a commencé.

status
enum<string>
requis

Statut du traitement de la demande

Options disponibles:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

Résultat de la demande

numErrors
integer<int32>

Le nombre d'erreurs survenues pendant le traitement

requestedAt
string<date-time>

Horodatage indiquant le moment où la demande a été effectuée

Last modified on April 13, 2026